Tuesday, January 06, 2009

Latest SVNKit library is nagging

Today I updated my Subclipse, which is my preferred SVN provider for Eclipse. Apparently, the latest version ships with a more recent SVNKit library which requires you to login to your SVN repository over and over again. Other IDE's, like JetBrains' IntelliJ suffer the same problem. To solve this for Eclipse, put the following line into /configuration/config.ini file:

svnkit.http.methods=Basic,NTLM

For other IDE's, I guess you can add -Dsvnkit.http.methods=Basic,NTLM to your startup command, not sure though.

2 comments:

Mark Phippard said...

I've not heard this before. If you have some details as to the reasons behind it would you mind starting an SVNKit FAQ page on our new Wiki?

http://subclipse.tigris.org/wiki/

kennywest said...

After googling for a while, I came across this post:
http://osdir.com/ml/version-control.subversion.javasvn.user/2008-04/msg00049.html

Which helped me solve my problem. So I just posted this to help other people :)